twitter4j

## Interface HttpClientConfiguration

    public interface HttpClientConfiguration

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getHttpConnectionTimeout()`
`String` `getHttpProxyHost()`
`String` `getHttpProxyPassword()`
`int` `getHttpProxyPort()`
`String` `getHttpProxyUser()`
`int` `getHttpReadTimeout()`
`int` `getHttpRetryCount()`
`int` `getHttpRetryIntervalSeconds()`
`boolean` `isGZIPEnabled()`
`boolean` `isHttpProxySocks()`
`boolean` `isPrettyDebugEnabled()`

### Method Detail

#### getHttpProxyHost

    String getHttpProxyHost()

#### getHttpProxyPort

    int getHttpProxyPort()

#### getHttpProxyUser

    String getHttpProxyUser()

#### getHttpProxyPassword

    String getHttpProxyPassword()

#### isHttpProxySocks

    boolean isHttpProxySocks()

#### getHttpConnectionTimeout

    int getHttpConnectionTimeout()

#### getHttpReadTimeout

    int getHttpReadTimeout()

#### getHttpRetryCount

    int getHttpRetryCount()

#### getHttpRetryIntervalSeconds

    int getHttpRetryIntervalSeconds()

#### isPrettyDebugEnabled

    boolean isPrettyDebugEnabled()

#### isGZIPEnabled

    boolean isGZIPEnabled()